<script lang="ts">
  export let region: string;
  export let contacts: { name: string; email: string }[];
</script>

<div class="border flex flex-col">
  <div class="bg-[#F2F2F2] p-10 px-20 text-4xl font-bold text-secondary text-center">
    <h1>{region}</h1>
    <h1>Region Contact</h1>
  </div>

  <div class="bg-cyber-blue-900 border-t-4 border-cyber-blue-500 flex-1 flex flex-col justify-center py-5">
    <ul class="flex flex-col items-center text-center text-white text-xl">
      {#each contacts as contact}
        <li class="pt-5 first:pt-0">
          <h1 class="font-bold max-w-96">{contact.name}</h1>
          <a href={`mailto: ${contact.email}`}>{contact.email}</a>
        </li>
      {/each}
    </ul>
  </div>
</div>
